XBPS-CREATE(1)

NAME
xbps-create - XBPS utility to create binary packages

SYNOPSIS
xbps-create [OPTIONS] destdir

DESCRIPTION
The xbps-create utility creates XBPS binary packages from files stored in a directory. The files must have correct permissions and location within this directory. The behaviour of resulting package is changed by using multiple values in the options.

OPTIONS

-A, --architecture string
    The target architecture for this package (required). Use noarch if package doesn't contain any arch-dependent file.

-B, --built-with string
    The package builder string, free form.

-C, --conflicts list
    A list of package patterns that this package should conflict with, separated by whitespaces. Example: 'foo>=1.0 blah<1.0'.

-D, --dependencies list
    A list of package patterns this package depends on, separated by whitespaces. Example: 'foo>=1.0 blah-1.0_1'.

-F, --config-files list
    A list of configuration files this package provides, separated by whitespace.

-G, ---source-revisions string
    This sets a string with the git revisions of the sourcepkg that was used to build this binary package. It is set automatically by xbps-src.

-H, --homepage string
    The package homepage string.

-h, --help
    Show the help message.

-l, --license string
    The package license.

-M, --mutable-files list
    A list of mutable files this package provides, separated by whitespaces.

-m, --maintainer string
    The package maintainer name and/or email contact.

-n, --pkgver string
    The package name/version tuple, e.g: 'foo-1.0_1'.

-P, --provides list
    A list of virtual packages this package provides, separated by whitespaces. Example: 'virtualpkg-9999 virtualpkg2-1.0_1'.

-p, --preserve
    If set the package files will be preserved after being updated.

-q, --quiet
    Enable quiet operation.

-R, --replaces list
    A list of package patterns this package replaces, separated by whitespaces. Example: 'foo>=1.0 blah>=2.0'.

-r, --reverts list
    A list of versions this package reverts, separated by whitespaces. Example: '2.0_1 2.1_1'.

-S, --long-desc string
    A long description for this package.

-s, --desc string
    A short description for this package, one line with less than 80 characters.

-t, --tags list
    A list of tags (categories) this package should be part of, separated by whitespaces. Example: 'development nonfree'.

-V, --version
    Show the version information.

--build-options string
    A string containing the build options used in package.

--compression gzip | bzip2 | xz
    Set the binary package compression format. If unset, defaults to xz.

--shlib-provides list
    A list of provided shared libraries, separated by whitespaces. Example: 'libfoo.so.2 libblah.so.1'.

--shlib-requires list
    A list of required shared libraries, separated by whitespaces. Example: 'libz.so.1 libfoo.so.2'.

--alternatives list
    A list of alternatives provided by this package, separated by whitespaces. Example: 'group:symlink:target group2:symlink:target'. If symlink is a relative path, the symlink will be created relative to target.

-c, --changelog string
    The package changelog string.

SEE ALSO
xbps-checkvers(1), xbps-dgraph(1), xbps-fbulk(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-remove(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/voidlinux/xbps/issues